Bug 21572 - Write allocate/MTRR's not enabled for K6-2+
Write allocate/MTRR's not enabled for K6-2+
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-12-01 02:00 EST by John Gotts
Modified: 2007-03-26 23:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-14 23:06:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Gotts 2000-12-01 02:00:29 EST
2.2.16 doesn't enable write allocate or MTRR's for machines with the K6-2+
processor.  Write allocate is cited as an important performance item to
enable on the various motherboard related newsgroups.  Many people are
installing K6-2+'s on boards that support the chip's electrical
requirements but don't adequately set it up in the BIOS.  New laptops
appearing on the market that contain this chip may or may not have the same
problem.  My patch is tiny and was extracted from 2.2.18pre.  My source RPM
is at http://linuxsavvy.com/staff/jgotts/k6-2+/kernel-2.2.16-4.src.rpm and
two much more detailed messages were sent to redhat-list today.  It might
be nice to slip this patch into the next bug fix kernel RPM's for 6.2 and
7.0 unless 2.2.18 is out by then.

Note You need to log in before you can comment on or make changes to this bug.